gtkHTMLJumpToAnchor <-
function(html = NULL, anchor, .flush = TRUE)
{
	 gtkCheckInherits(html, "GtkHTML")
	 anchor <- as.character(anchor)

	 w <- .GtkCall("S_gtk_html_jump_to_anchor", html, anchor, PACKAGE='RGtkHTML', .flush = .flush)
	 return(w)

}
 

gtkHTMLEmbeddedSetParameter <-
function(ge = NULL, param, value, .flush = TRUE)
{
	 gtkCheckInherits(ge, "GtkHTMLEmbedded")
	 param <- as.character(param)
	 value <- as.character(value)

	 w <- .GtkCall("S_gtk_html_embedded_set_parameter", ge, param, value, PACKAGE='RGtkHTML', .flush = .flush)
	 invisible(return(w))

}
 

gtkHTMLEmbeddedGetParameter <-
function(ge = NULL, param, .flush = TRUE)
{
	 gtkCheckInherits(ge, "GtkHTMLEmbedded")
	 param <- as.character(param)

	 w <- .GtkCall("S_gtk_html_embedded_get_parameter", ge, param, PACKAGE='RGtkHTML', .flush = .flush)
	 return(w)

}
 

gtkHTMLSetDefaultContentType <-
function(html = NULL, content.type, .flush = TRUE)
{
	 gtkCheckInherits(html, "GtkHTML")
	 content.type <- as.character(content.type)

	 w <- .GtkCall("S_gtk_html_set_default_content_type", html, content.type, PACKAGE='RGtkHTML', .flush = .flush)
	 invisible(return(w))

}
 

gtkHTMLLoadEmpty <-
function(html = NULL, .flush = TRUE)
{
	 gtkCheckInherits(html, "GtkHTML")

	 w <- .GtkCall("S_gtk_html_load_empty", html, PACKAGE='RGtkHTML', .flush = .flush)
	 invisible(return(w))

}
 

gtkHTMLEmbeddedNew <-
function(classid, name, type, data, width, height, show = TRUE, .flush = TRUE)
{
	 classid <- as.character(classid)
	 name <- as.character(name)
	 type <- as.character(type)
	 data <- as.character(data)
	 width <- as.integer(width)
	 height <- as.integer(height)

	 w <- .GtkCall("S_gtk_html_embedded_new", classid, name, type, data, width, height, PACKAGE='RGtkHTML', .flush = .flush)
	 class(w) <- c("GtkHTMLEmbedded", "GtkBin", "GtkContainer", "GtkWidget", "GtkObject")
	 if(show)
	   gtkWidgetShow(w)
	 return(w)

}
 

gtkHTMLSelectLine <-
function(html = NULL, .flush = TRUE)
{
	 gtkCheckInherits(html, "GtkHTML")

	 w <- .GtkCall("S_gtk_html_select_line", html, PACKAGE='RGtkHTML', .flush = .flush)
	 invisible(return(w))

}
 

gtkHTMLGetBase <-
function(html = NULL, .flush = TRUE)
{
	 gtkCheckInherits(html, "GtkHTML")

	 w <- .GtkCall("S_gtk_html_get_base", html, PACKAGE='RGtkHTML', .flush = .flush)
	 return(w)

}
 

gtkHTMLSetBase <-
function(html = NULL, url, .flush = TRUE)
{
	 gtkCheckInherits(html, "GtkHTML")
	 url <- as.character(url)

	 w <- .GtkCall("S_gtk_html_set_base", html, url, PACKAGE='RGtkHTML', .flush = .flush)
	 invisible(return(w))

}
 

gtkHTMLNew <-
function(show = TRUE, .flush = TRUE)
{

	 w <- .GtkCall("S_gtk_html_new", PACKAGE='RGtkHTML', .flush = .flush)
	 class(w) <- c("GtkHTML", "GtkLayout", "GtkContainer", "GtkWidget", "GtkObject")
	 if(show)
	   gtkWidgetShow(w)
	 return(w)

}
 

gtkHTMLGetTitle <-
function(html = NULL, .flush = TRUE)
{
	 gtkCheckInherits(html, "GtkHTML")

	 w <- .GtkCall("S_gtk_html_get_title", html, PACKAGE='RGtkHTML', .flush = .flush)
	 return(w)

}
 

gtkHTMLAllowSelection <-
function(html = NULL, allow, .flush = TRUE)
{
	 gtkCheckInherits(html, "GtkHTML")
	 allow <- as.logical(allow)

	 w <- .GtkCall("S_gtk_html_allow_selection", html, allow, PACKAGE='RGtkHTML', .flush = .flush)
	 invisible(return(w))

}
 

gtkHTMLNewFromString <-
function(str, len, show = TRUE, .flush = TRUE)
{
	 str <- as.character(str)
	 len <- as.integer(len)

	 w <- .GtkCall("S_gtk_html_new_from_string", str, len, PACKAGE='RGtkHTML', .flush = .flush)
	 class(w) <- c("GtkHTML", "GtkLayout", "GtkContainer", "GtkWidget", "GtkObject")
	 if(show)
	   gtkWidgetShow(w)
	 return(w)

}
 

gtkHTMLGetObjectById <-
function(html = NULL, id, .flush = TRUE)
{
	 gtkCheckInherits(html, "GtkHTML")
	 id <- as.character(id)

	 w <- .GtkCall("S_gtk_html_get_object_by_id", html, id, PACKAGE='RGtkHTML', .flush = .flush)
	 return(w)

}
 

gtkHTMLSelectWord <-
function(html = NULL, .flush = TRUE)
{
	 gtkCheckInherits(html, "GtkHTML")

	 w <- .GtkCall("S_gtk_html_select_word", html, PACKAGE='RGtkHTML', .flush = .flush)
	 invisible(return(w))

}
 

gtkHTMLLoadFromString <-
function(html = NULL, str, len = -1, .flush = TRUE)
{
	 gtkCheckInherits(html, "GtkHTML")
	 str <- as.character(str)
	 len <- as.integer(len)

	 w <- .GtkCall("S_gtk_html_load_from_string", html, str, len, PACKAGE='RGtkHTML', .flush = .flush)
	 invisible(return(w))

}
 

gtkHTMLEmbeddedSetDescent <-
function(ge = NULL, descent, .flush = TRUE)
{
	 gtkCheckInherits(ge, "GtkHTMLEmbedded")
	 descent <- as.integer(descent)

	 w <- .GtkCall("S_gtk_html_embedded_set_descent", ge, descent, PACKAGE='RGtkHTML', .flush = .flush)
	 invisible(return(w))

}
 

gtkHTMLPrint <-
function(html = NULL, printContext, .flush = TRUE)
{
	 gtkCheckInherits(html, "GtkHTML")
	 gtkCheckInherits(printContext, "GnomePrintContext")

	 w <- .GtkCall("S_gtk_html_print", html, printContext, PACKAGE='RGtkHTML', .flush = .flush)
	 invisible(return(w))

}
 

gtkHTMLSetDefaultBackgroundColor <-
function(html = NULL, c, .flush = TRUE)
{
	 gtkCheckInherits(html, "GtkHTML")
	 gtkCheckInherits(c, "GdkColor")

	 w <- .GtkCall("S_gtk_html_set_default_background_color", html, c, PACKAGE='RGtkHTML', .flush = .flush)
	 invisible(return(w))

}
 

