\name{gtkFormGetElements}
\alias{gtkFormGetElements}
\title{Retrieve description of an HTML form object}
\description{
  This returns a description of an HTML form contained
  in an HTML widget.
  It provides information about the different elements
  in the form including the hidden elements.
  It provides their names, default values, and types.
  And also it provides both the method and action
  fields for the form.
}
\usage{
gtkFormGetElements(w)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{w}{the HTMLForm object retrieved using \code{\link{gtkHTMLGetForms}}}
}
\value{
 A list with 6 elements
  \item{action}{a string giving the action attribute of the form used to
    say how to submit the form. We often use this to provide S code that
   is to be called to process this particular form.}
  \item{method}{a string specifying the method by which the form is "submitted", i.e. GET or
    POST}
  \item{elements}{a list of references (i.e. external pointers) to the element objects.}
  \item{values}{a character vector giving the initial value of each of
    the elements in the form. This is parallel to the \code{elements}
    entry and has the same names vector.}
  \item{hidden}{a list giving the hidden elements in the form. These
    elements are also contained in the \code{elements} entry.}
  \item{types}{a named integer vector that parallels the \code{elements}
    entry. This gives the types or "classes" of the form elements.
    These are given by their enumerated values from the HTMLType enum
    and the names of the vector provide the human readable identifiers.}
}
\references{
 \url{http://www.omegahat.org/RGtkHTML}
}
\author{Duncan Temple Lang <duncan@research.bell-labs.com>}


\seealso{
 \code{\link{gtkHTMLGetForms}}  
 \code{\link[RGtkViewers]{viewHtml}}
}
\examples{

}
\keyword{interface}
\keyword{programming}

